libdvbv5: dvb_desc_frequency_list Struct Reference

libdvbv5 1.26.1 Library to work with Digital TV devices on Linux

Data Fields
dvb_desc_frequency_list Struct Reference
Parsers for several MPEG-TS descriptors

Struct containing the frequency list descriptor. More...

`#include <desc_frequency_list.h>`

## Data Fields
uint8_t | type
uint8_t | length
struct dvb_desc * | next
uint8_t | frequencies
uint32_t * | frequency
union { |
uint8_t bitfield |
struct { |
uint8_t freq_type:2 |
uint8_t reserved:6 |
} |  |
}; |  |

## Detailed Description

Struct containing the frequency list descriptor.

Parameters

  type | descriptor tag
  length | descriptor length
  next | pointer to struct dvb_desc
  frequencies | number of frequencies in the frequency vector
  frequency | vector with the centre frequency
  freq_type | freq type, being: 0 = undefined, 1 = satelite, 2 = cable or 3 = terrestrial.

Definition at line 56 of file desc_frequency_list.h.

## Field Documentation

## ◆ [union]

union { ... } dvb_desc_frequency_list

## ◆ bitfield

uint8_t dvb_desc_frequency_list::bitfield

Definition at line 65 of file desc_frequency_list.h.

## ◆ freq_type

uint8_t dvb_desc_frequency_list::freq_type

Definition at line 67 of file desc_frequency_list.h.

## ◆ frequencies

uint8_t dvb_desc_frequency_list::frequencies

Definition at line 61 of file desc_frequency_list.h.

## ◆ frequency

uint32_t* dvb_desc_frequency_list::frequency

Definition at line 62 of file desc_frequency_list.h.

## ◆ length

uint8_t dvb_desc_frequency_list::length

Definition at line 58 of file desc_frequency_list.h.

## ◆ next

struct dvb_desc* dvb_desc_frequency_list::next

Definition at line 59 of file desc_frequency_list.h.

## ◆ reserved

uint8_t dvb_desc_frequency_list::reserved

Definition at line 68 of file desc_frequency_list.h.

## ◆ type

uint8_t dvb_desc_frequency_list::type

Definition at line 57 of file desc_frequency_list.h.

The documentation for this struct was generated from the following file:

- lib/include/libdvbv5/desc_frequency_list.h